WinShopAPI docs
ReferenceItem lists

Documents / Orders / States

List states

GET
/api/item-lists/documents/orders/states

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Response Body

application/json
  1. response
[index: integer]?
curl -X GET 'https://<your-instance>/api/item-lists/documents/orders/states' \  -H 'Authorization: Bearer <access-token>'
[  {    "colorInteger": 0,    "id": 0,    "isInvisible": true,    "name": "string"  }]

Get a state

GET
/api/item-lists/documents/orders/states/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

application/json
  1. response
colorInteger?integer
Formatint32
id?integer
Formatint32
isInvisible?boolean
name*string
Lengthlength <= 50
curl -X GET 'https://<your-instance>/api/item-lists/documents/orders/states/0' \  -H 'Authorization: Bearer <access-token>'
{  "colorInteger": 0,  "id": 0,  "isInvisible": true,  "name": "string"}